## TrackerMonitor TrackerMonitor |

## Functions

TrackerMonitor * | tracker_monitor_new ()
TrackerIndexingTree * | tracker_monitor_get_indexing_tree ()
void | tracker_monitor_set_indexing_tree ()
gboolean | tracker_monitor_get_enabled ()
void | tracker_monitor_set_enabled ()
gboolean | tracker_monitor_add ()
gboolean | tracker_monitor_remove ()
gboolean | tracker_monitor_remove_recursively ()
gboolean | tracker_monitor_remove_children_recursively ()
gboolean | tracker_monitor_move ()
gboolean | tracker_monitor_is_watched ()
gboolean | tracker_monitor_is_watched_by_string ()
guint | tracker_monitor_get_count ()
guint | tracker_monitor_get_ignored ()
guint | tracker_monitor_get_limit ()

## Description

## Functions

### tracker_monitor_new ()

    TrackerMonitor *
    tracker_monitor_new (void);

### tracker_monitor_get_indexing_tree ()

    TrackerIndexingTree *
    tracker_monitor_get_indexing_tree (TrackerMonitor *monitor);

### tracker_monitor_set_indexing_tree ()

    void
    tracker_monitor_set_indexing_tree (TrackerMonitor *monitor,
                                       TrackerIndexingTree *tree);

### tracker_monitor_get_enabled ()

    gboolean
    tracker_monitor_get_enabled (TrackerMonitor *monitor);

### tracker_monitor_set_enabled ()

    void
    tracker_monitor_set_enabled (TrackerMonitor *monitor,
                                 gboolean enabled);

### tracker_monitor_add ()

    gboolean
    tracker_monitor_add (TrackerMonitor *monitor,
                         GFile *file);

### tracker_monitor_remove ()

    gboolean
    tracker_monitor_remove (TrackerMonitor *monitor,
                            GFile *file);

### tracker_monitor_remove_recursively ()

    gboolean
    tracker_monitor_remove_recursively (TrackerMonitor *monitor,
                                        GFile *file);

### tracker_monitor_remove_children_recursively ()

    gboolean
    tracker_monitor_remove_children_recursively
                                   (TrackerMonitor *monitor,
                                    GFile *file);

### tracker_monitor_move ()

    gboolean
    tracker_monitor_move (TrackerMonitor *monitor,
                          GFile *old_file,
                          GFile *new_file);

### tracker_monitor_is_watched ()

    gboolean
    tracker_monitor_is_watched (TrackerMonitor *monitor,
                                GFile *file);

### tracker_monitor_is_watched_by_string ()

    gboolean
    tracker_monitor_is_watched_by_string (TrackerMonitor *monitor,
                                          const gchar *path);

### tracker_monitor_get_count ()

    guint
    tracker_monitor_get_count (TrackerMonitor *monitor);

### tracker_monitor_get_ignored ()

    guint
    tracker_monitor_get_ignored (TrackerMonitor *monitor);

### tracker_monitor_get_limit ()

    guint
    tracker_monitor_get_limit (TrackerMonitor *monitor);

## Types and Values